summaryrefslogtreecommitdiffstats
path: root/development/spin
diff options
context:
space:
mode:
author Ryan P.C. McQuen2014-05-09 06:37:21 +0200
committer Willy Sudiarto Raharjo2014-05-12 02:35:57 +0200
commiteb094c016a854d2f742edf5efe9bcfa7d31f37e0 (patch)
tree993464184fc8dc716f71b759c8173ffcd9e0616d /development/spin
parent52634790396f4b82bac49cf8962071a67813444c (diff)
downloadslackbuilds-eb094c016a854d2f742edf5efe9bcfa7d31f37e0.tar.gz
development/spin: Updated for version 6.3.0 + new maintainer.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development/spin')
-rw-r--r--development/spin/spin.SlackBuild41
-rw-r--r--development/spin/spin.info10
2 files changed, 34 insertions, 17 deletions
diff --git a/development/spin/spin.SlackBuild b/development/spin/spin.SlackBuild
index 894e6f9e5a..82485c7a17 100644
--- a/development/spin/spin.SlackBuild
+++ b/development/spin/spin.SlackBuild
@@ -1,11 +1,30 @@
#!/bin/sh
-#
-# Written by Jockey S. Kyd (jockey dot kyd at gmail dot com)
-# Public domain
-#
+
+# Slackware build script for spin
+# Originally by Jockey S. Kyd (jockey dot kyd at gmail dot com)
+
+# Modified by Ryan P.C. McQuen, WA, ryan.q@linux.com
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3 of the License, or
+# (at your option) any later version, with the following exception:
+# the text of the GPL license may be omitted..
+
+# This program is distributed in the hope that it will be useful, but
+# without any warranty; without even the implied warranty of
+# merchantability or fitness for a particular purpose. Compiling,
+# interpreting, executing or merely reading the text of the program
+# may result in lapses of consciousness and/or very being, up to and
+# including the end of all existence and the Universe as we know it.
+# See the GNU General Public License for more details.
+
+# You may have received a copy of the GNU General Public License
+# along with this program (most likely, a file named COPYING). If
+# not, see <http://www.gnu.org/licenses/>.
PRGNAM=spin
-VERSION=6.1.0
+VERSION=${VERSION:-6.3.0}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -47,7 +66,7 @@ cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
- -o -perm 511 \) -exec chmod 755 {} \; -o \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
@@ -59,18 +78,16 @@ cd ..
install -Dm 755 Src$VERSION/spin $PKG/usr/bin/spin
install -Dm 755 iSpin/ispin.tcl $PKG/usr/bin/ispin
-find $PKG -print0 | xargs -0 file \
- | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null \
- || true
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/man/man1
cp -a Man/spin.1 $PKG/usr/man/man1
find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a Samples Test Doc/* iSpin/ltl_examples README.html \
- $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a Doc/* $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
diff --git a/development/spin/spin.info b/development/spin/spin.info
index 3c31d2f1a5..3e990281d6 100644
--- a/development/spin/spin.info
+++ b/development/spin/spin.info
@@ -1,10 +1,10 @@
PRGNAM="spin"
-VERSION="6.1.0"
+VERSION="6.3.0"
HOMEPAGE="http://spinroot.com/"
-DOWNLOAD="http://spinroot.com/spin/Src/spin610.tar.gz"
-MD5SUM="89c0d322c3a5aded1fda9b0d30327d19"
+DOWNLOAD="http://spinroot.com/spin/Src/spin630.tar.gz"
+MD5SUM="547e462d9f4a9dca5db1c375eb0f0f7e"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""
-MAINTAINER="Jockey S. Kyd"
-EMAIL="jockey.kyd@gmail.com"
+MAINTAINER="Ryan P.C. McQuen"
+EMAIL="ryan.q@linux.com"